summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEugen Wissner <belka@caraus.de>2020-11-30 08:58:57 +0100
committerEugen Wissner <belka@caraus.de>2020-11-30 08:58:57 +0100
commitaa847f954507b4b5c5dddf27730d27a374a2210d (patch)
tree6b842143158f4bf55a8bde29943816381622e704
parent094b6ed392d90a2123ee8ac8ef6d53bc71eb58d0 (diff)
downloadslackbuilder-aa847f954507b4b5c5dddf27730d27a374a2210d.tar.gz
dovecot-pigeonhole: Added
-rw-r--r--dovecot-pigeonhole/README21
-rwxr-xr-xdovecot-pigeonhole/dovecot-pigeonhole.SlackBuild102
-rw-r--r--dovecot-pigeonhole/dovecot-pigeonhole.info10
-rw-r--r--dovecot-pigeonhole/slack-desc19
4 files changed, 152 insertions, 0 deletions
diff --git a/dovecot-pigeonhole/README b/dovecot-pigeonhole/README
new file mode 100644
index 0000000..84995d1
--- /dev/null
+++ b/dovecot-pigeonhole/README
@@ -0,0 +1,21 @@
+Pigeonhole is the name of the project that adds support for the Sieve language
+(RFC 5228) and the ManageSieve protocol (RFC 5804) to the Dovecot Secure
+IMAP/POP3 Server.
+
+Sieve language specification and scripts provide mail filtering capabilities on
+the server side for individual users. Each user can edit and upload (using
+ManageSieve) sieve scripts to filter mail based on supported Sieve language
+extensions within pigeonhole.
+
+The Pigeonhole project provides Sieve support as a plugin to Dovecot's Local
+Delivery Agent (LDA). The ManageSieve protocol is provided is an additional
+service, next to Dovecot's own POP3 and IMAP services.
+
+To configure pigeonhole, use sieve and managesieve config files installed with
+dovecot documentation. Copy 20-managesieve.conf and 90-sieve.conf files to
+/etc/dovecot/conf.d and edit them according to your needs.
+
+For additional help with configuration, see:
+
+ http://wiki2.dovecot.org/Pigeonhole/Sieve
+ http://wiki2.dovecot.org/Pigeonhole/ManageSieve
diff --git a/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild b/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
new file mode 100755
index 0000000..f5115a4
--- /dev/null
+++ b/dovecot-pigeonhole/dovecot-pigeonhole.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware Package Build Script for pigeonhole
+
+# Copyright 2010, 2011, 2013 Nishant Limbachia, Hoffman Estates, IL, USA
+# Copyright 2013, 2014, 2015, 2016, 2017, 2018, 2019 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dovecot-pigeonhole
+VERSION=${VERSION:-0.5.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=dovecot-2.3-pigeonhole
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/dovecot-2.3.11-pigeonhole-$VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --with-dovecot=/usr/lib${LIBDIRSUFFIX}/dovecot \
+ --with-docs \
+ --with-managesieve \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING* INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/dovecot-pigeonhole/dovecot-pigeonhole.info b/dovecot-pigeonhole/dovecot-pigeonhole.info
new file mode 100644
index 0000000..83de02e
--- /dev/null
+++ b/dovecot-pigeonhole/dovecot-pigeonhole.info
@@ -0,0 +1,10 @@
+PRGNAM="dovecot-pigeonhole"
+VERSION="0.5.4"
+HOMEPAGE="http://pigeonhole.dovecot.org/"
+DOWNLOAD="http://pigeonhole.dovecot.org/releases/2.3/dovecot-2.3-pigeonhole-0.5.4.tar.gz"
+MD5SUM="331a7554d6b12ac2cca760146934fc5b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="dovecot"
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"
diff --git a/dovecot-pigeonhole/slack-desc b/dovecot-pigeonhole/slack-desc
new file mode 100644
index 0000000..d804d56
--- /dev/null
+++ b/dovecot-pigeonhole/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dovecot-pigeonhole: dovecot-pigeonhole (Sieve & Managesieve support for Dovecot)
+dovecot-pigeonhole:
+dovecot-pigeonhole: Pigeonhole is the name of the project that adds support for the Sieve
+dovecot-pigeonhole: language and the ManageSieve protocol to the Dovecot Secure IMAP/POP3
+dovecot-pigeonhole: Server.
+dovecot-pigeonhole:
+dovecot-pigeonhole: Homepage: http://pigeonhole.dovecot.org/
+dovecot-pigeonhole:
+dovecot-pigeonhole:
+dovecot-pigeonhole:
+dovecot-pigeonhole: